<?php
@session_start();
if(isset($_SESSION['ekdhlos_userid'])){
	include_once('php/php_headers.php');
	$scripts = "
<script src=\"js/jpgraph.js\"  language=\"javascript\"></script>";
	html_header('Στατιστικά στοιχεία',$scripts);
}
else{
	include_once('php/functions.php');
	html_header('Στατιστικά στοιχεία','public_message');
}
data_on();
/* Καθυστέρηση */
$arr = array();
$sql = "SELECT * FROM status_message WHERE `read` = 'yes'";
$result = mysql_query($sql) or die('error');
while($row = mysql_fetch_array($result)){
	array_push($arr,$row);
}
$secs = 0;
foreach ($arr as $read){
	$secs = $secs + (strtotime($read['date']) - strtotime(get('date','message','id',$read['message_id'],'one')));
}
if(sizeof($arr)<>0){
	$m_o = $secs/sizeof($arr);
	$delay = seconds_to_time($m_o);
}
else{
	$delay = "<h9>Δεν έχει ακόμα ανγνωστεί κανένα μήνυμα!</h9>";
}
/* Χρήστες */
$sql = "SELECT * FROM users WHERE level = '1' AND enable = 'yes'";
$result = mysql_query($sql) or die('error'); 
$users = mysql_num_rows($result);

/* Διαχειριστές */
$sql = "SELECT * FROM users WHERE level = '0' AND enable = 'yes'";
$result = mysql_query($sql) or die('error'); 
$admins = mysql_num_rows($result);

/* Ομάδες Ιδιωτικές*/
$sql = "SELECT * FROM groups WHERE status = 'yes' AND visibility = 'private'";
$result = mysql_query($sql) or die('error'); 
$groups_pr = mysql_num_rows($result);

/* Ομάδες Δημόσιες*/
$sql = "SELECT * FROM groups WHERE status = 'yes' AND visibility = 'public'";
$result = mysql_query($sql) or die('error'); 
$groups_pu = mysql_num_rows($result);

/* Συσκευές Ιδιωτικές */
$sql = "SELECT * FROM device WHERE status = 'yes' AND visibility = 'private'";
$result = mysql_query($sql) or die('error'); 
$devices_pr = mysql_num_rows($result);

/* Συσκευές Δημόσιες */
$sql = "SELECT * FROM device WHERE status = 'yes' AND visibility = 'public'";
$result = mysql_query($sql) or die('error'); 
$devices_pu = mysql_num_rows($result);

/* Μηνύματα */
$sql = "SELECT * FROM status_message WHERE `read`='yes'";
$result = mysql_query($sql) or die('error'); 
$messages = mysql_num_rows($result);

data_off();/*
echo '
<br /><h6 class="center">Πληροφορίες συστήματος</h6><hr /><br />
<div class="more_left_2">
			<span class="gren_border">Χρήστες</span><span class="light_border">'.$users.'</span> <br /><br />
			<span class="gren_border">Διαχειριστές</span><span class="light_border">'.$admins.'</span> <br /><br />
			<span class="gren_border">Δημόσια ορατές ομάδες</span><span class="light_border">'.$groups_pu.'</span> <br /><br />
			<span class="gren_border">Ιδιωτικά ορατές ομάδες</span><span class="light_border">'.$groups_pr.'</span> <br /><br />
			<span class="gren_border">Δημόσια ορατές συσκευές</span><span class="light_border">'.$devices_pu.'</span> <br /><br />
			<span class="gren_border">Ιδιωτικά ορατές συσκευές</span><span class="light_border">'.$devices_pr.'</span> <br /><br />
			<span class="gren_border">Συνολικά μηνύματα</span><span class="light_border">'.$messages.'</span> <br /><br />
			<span class="gren_border">Μέσος όρος καθυστέρησης <br />ανάγνωσης μηνυμάτων</span><span class="light_border">'.$delay.'</span>
</div>	';*/
echo "
    <div id=\"graph\"></div>

    <script type=\"text/javascript\">
    window.onload = function () {
        var data = ({series2data : new Array('".$users."','".$admins."','".$groups_pu."','".$groups_pr."','".$devices_pu."','".$devices_pr."','".$messages."')});
        var graph = new JpGraph('pie','graph',data,
                {
                 width                 : 800,
                 height                : 400,
                 backgroundColor       : '#e6f2e1',
                 pre                   : \"\",
                 ndecplaces            : 0,
                 series2               : \"cx: 400; cy: 180; r: 120;\",
                 legendLabels          : \"Χρήστες : #88c; Διαχειριστές : #2c3; Δημόσια ορατές ομάδες : #c23; Ιδιωτικά ορατές ομάδες : #f80; Δημόσια ορατές συσκευές : #c0c; Ιδιωτικά ορατές συσκευές : #08f; Αναγνωσμένα μηνύματα : #0f8; \",
                 legendPadding         : 6,
                 legendRoundRadius     : 3,
                 legendOpacity         : 1.0,
                 legendBackground      : true,
                 legendBackgoundColor  : '#ffffff',
                 legendBorderColor     : '#888',
                 legendBorderWidth     : 1,
                 legendStyle           : 'vertical',
                 legendXpos            : 600,
                 legendYpos            : 20
                });
    }
    </script>
	<h4 class = \"center\">Μέσος όρος καθυστέρησης ανάγνωσης μηνυμάτων: ".$delay."</h4>";

html_footer();
?>